﻿body {
    position: absolute;
    height: 100%;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
}

#loginBg {
    background-image: url('/Images/Backgrounds/LogOnBgColors.jpg');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    height: 100%;
    position: relative;
    min-height: 570px;
}

#login {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    width: 850px;
    margin: 20px 0 50px;
    -webkit-box-shadow: 0 0 120px -30px black;
    box-shadow: 0 0 120px -30px black;
}

#login.login-only {
    width: 425px;
}

    #login > div {
        position: relative;
    }

    #login #clubLogo {
        display: block;
        margin: 0 auto;
        width: 110px;
        background: #ffffff;
        background: rgba(255,255,255,.3);
        text-align: center;
        height: 110px;
        line-height: 110px;
        margin-top: -110px;
        border-radius: 50%;
        overflow: hidden;
        position: relative;
        top: 55px;
        z-index: 2;
        padding: 0;
    }

        #login #clubLogo img {
            border-radius: 50%;
            height: 90px;
            width: 90px;
            display: block;
            margin: 10px auto;
        }

    #login .login-half,
    #login .sign-up-half {
        z-index: 1;
    }

    #login .sign-up-half {
        background-color: #aaa;
        background-color: rgba(0,0,0,.35);
    }

    #login .login-half {
        background-color: #777;
        background-color: rgba(0,0,0,.5);
    }

    #login .forgot-half {
        background-color: #777;
        background-color: rgba(0,0,0,.7);
        padding: 0 15px 15px;
    }

    #login .sign-up-half .form {
        padding-bottom: 15px;
    }

    #login .login-half .form {
        padding-bottom: 15px;
    }

    #login h2 {
        color: white;
        font-style: italic;
        text-align: center;
        margin: 50px 0;
    }
     #login h3 {
        color: white;
        font-style: italic;
        text-align: center;
        margin: 20px 0;
    }
          #login h5 {
        color: white;

    }
        #login p {
        color: white;
        font-style: italic;
        text-align: center;
    }
    #login input.form-control {
        line-height: 21px;
        height: 3em;
        padding-left: 35px;
        color: #dddddd;
        background: #ffffff;
        background: rgba(255,255,255,.2);
        border-color: #000000;
        border-color: rgba(0,0,0,.7);
    }

        #login input.form-control::-webkit-input-placeholder {
            color: #000000;
        }

        #login input.form-control:-moz-placeholder {
            color: #000000;
        }

        #login input.form-control::-moz-placeholder {
            color: #000000;
        }

        #login input.form-control:-ms-input-placeholder {
            color: #000000;
        }

        #login input.form-control:focus {
            -webkit-box-shadow: none;
            box-shadow: none;
            outline: none;
            border-color: #dddddd;
            outline: none !important;
        }

    #login .login-half .form-group.jbi-user-male.active:before, #login .login-half .form-group.jbi-lock.active:before {
        color: #dddddd;
    }

    #login .login-half input.form-control.jbi-user-male:before, #login .login-half input.form-control.jbi-lock:before {
        position: absolute;
        display: block;
        z-index: 5;
        color: #586c7c;
    }

    #login .sign-up-half .form-group.jbi-user-male.active:before, #login .sign-up-half .form-group.jbi-lock.active:before {
        color: #dddddd;
    }

    #login .sign-up-half input.form-control.jbi-user-male:before, #login .sign-up-half input.form-control.jbi-lock:before {
        position: absolute;
        display: block;
        z-index: 5;
        color: #586c7c;
    }

    #login .form-group.jbi-user-male:before, #login .form-group.jbi-lock:before {
        position: absolute;
        z-index: 2;
        left: 10px;
        top: 11px;
        font-size: 19px;
        color: rgba(0,0,0,.8);
    }

    #login .form-group {
        position: relative;
    }

    #login #forgot {
        line-height: 2em;
        padding: 6px 0;
    }

    #login #signup,
    #login #loginBtn,
    #login #recover {
        width: 125px;
        background-color: lightgray;
        background-color: rgba(255,255,255,.25);
        border-color: #000000;
        border-color: rgba(0,0,0,.7);
        color: #000000;
        -webkit-box-shadow: none;
        box-shadow: none;
        line-height: 2em;
    }

    #login #newsletter,
    #login #remember,
    #login #recover {
        color: #dddddd;
    }

    #login .social-options {
        background-color: #040A10;
        background-color: rgba(255,255,255,.05);
        margin-left: -15px;
        padding-right: 30px;
        -moz-box-sizing: content-box;
        -webkit-box-sizing: content-box;
        box-sizing: content-box;
        position: relative;
        overflow: hidden;
        height: 70px;
    }

        #login .social-options:before {
            position: absolute;
            right: 10px;
            font-size: 23px;
            top: 0;
            bottom: 0;
            line-height: 70px;
            color: #ffffff;
            -webkit-transition: right .5s ease-in-out 0s;
            -moz-transition: right .5s ease-in-out 0s;
            -ms-transition: right .5s ease-in-out 0s;
            -o-transition: right .5s ease-in-out 0s;
            transition: right .5s ease-in-out 0s;
        }

        #login .social-options > div {
            width: 850px;
            -webkit-transition: transform .5s ease-in-out 0s;
            -moz-transition: transform .5s ease-in-out 0s;
            -ms-transition: transform .5s ease-in-out 0s;
            -o-transition: transform .5s ease-in-out 0s;
            transition: transform .5s ease-in-out 0s;
            -webkit-transform: translate(0);
            -moz-transform: translate(0);
            -ms-transform: translate(0);
            -o-transform: translate(0);
            transform: translate(0);
        }

        #login .social-options.active-step > div {
            -webkit-transform: translate(-425px,0);
            -moz-transform: translate(-425px,0);
            -ms-transform: translate(-425px,0);
            -o-transform: translate(-425px,0);
            transform: translate(-425px,0);
        }

        #login .social-options.active-step:before {
            right: -30px;
        }

        #login .social-options .step1, #login .social-options .step2 {
            float: left;
            width: 50%;
        }

            #login .social-options .step1 a {
                width: 100%;
                text-align: left;
                line-height: 70px;
                padding: 0 15px;
                margin: 0;
                border: none;
                color: white;
                font-size: 18px;
                font-family: "raleway";
                font-weight: 200;
            }

            #login .social-options .step2 > span {
                font-size: 23px;
                line-height: 70px;
                padding-left: 15px;
                display: inline-block;
                color: white;
                font-family: "raleway";
                font-weight: 200;
                float: left;
            }

            #login .social-options .step2 ul {
                float: right;
                margin: 0;
                padding: 0;
            }

                #login .social-options .step2 ul li {
                    list-style: none;
                    display: inline-block;
                    line-height: 70px;
                    width: 70px;
                    text-align: center;
                    color: white;
                    font-size: 25px;
                    position: relative;
                    float: right;
                    cursor: pointer;
                }

                    #login .social-options .step2 ul li:before {
                        -webkit-transition: top .5s ease-in-out 0s;
                        -moz-transition: top .5s ease-in-out 0s;
                        -ms-transition: top .5s ease-in-out 0s;
                        -o-transition: top .5s ease-in-out 0s;
                        transition: top .5s ease-in-out 0s;
                        top: 0;
                        position: relative;
                    }

                    #login .social-options .step2 ul li.active {
                        cursor: wait;
                    }

                    #login .social-options .step2 ul li:hover {
                        background-color: #000000;
                        background-color: rgba(0,0,0,0.2);
                    }

                    #login .social-options .step2 ul li.active:before {
                        top: -70px;
                    }

                    #login .social-options .step2 ul li:active, #login .social-options .step2 ul li.active {
                        background-color: #000000;
                        background-color: rgba(0,0,0,0.2);
                        -webkit-box-shadow: 0 0 10px -3px black inset;
                        box-shadow: 0 0 10px -3px black inset;
                    }

                    #login .social-options .step2 ul li .loading {
                        -webkit-transition: top .5s ease-in-out 0s;
                        -moz-transition: top .5s ease-in-out 0s;
                        -ms-transition: top .5s ease-in-out 0s;
                        -o-transition: top .5s ease-in-out 0s;
                        transition: top .5s ease-in-out 0s;
                        position: absolute;
                        top: 70px;
                        right: 0;
                        left: 0;
                        bottom: 0;
                        height: 70px;
                        width: 70px;
                    }

                    #login .social-options .step2 ul li.active .loading:before {
                        line-height: 70px;
                        width: 70px;
                        height: 70px;
                        display: block;
                    }

                    #login .social-options .step2 ul li.active .loading {
                        top: 0;
                    }

                    #login .social-options .step2 ul li:before {
                        -webkit-transition: top .5s ease-in-out 0s;
                        -moz-transition: top .5s ease-in-out 0s;
                        -ms-transition: top .5s ease-in-out 0s;
                        -o-transition: top .5s ease-in-out 0s;
                        transition: top .5s ease-in-out 0s;
                        top: 0;
                        position: relative;
                    }

    #login .field-validation-error {
        position: absolute;
        right: 0;
        background-color: #e51400;
        padding: 0px 5px;
        color: #fff;
        font-size: 11px;
        top: -5px;
        -webkit-transform: translateY(-100%);
        -moz-transform: translateY(-100%);
        -ms-transform: translateY(-100%);
        -o-transform: translateY(-100%);
        transform: translateY(-100%);
    }

        #login .field-validation-error:after {
            height: 7px;
            content: "";
            width: 7px;
            background-color: #e51400;
            position: absolute;
            bottom: -3px;
            right: 5px;
            -webkit-transform: rotate(45deg);
            -moz-transform: rotate(45deg);
            -ms-transform: rotate(45deg);
            -o-transform: rotate(45deg);
            transform: rotate(45deg);
        }

    #login .form-control.input-validation-error {
        border-color: #e51400 !important;
    }

    #login .form-control.input-validation-valid {
        border-color: #00a651 !important;
    }

    #login .forgot-half .message {
        color: #fff;
    }


@media (min-width: 768px) and (max-width: 899px) {
    #login {
        width: 700px;
    }

        #login .social-options > div {
            width: 700px;
        }

        #login .social-options .step1 a {
            font-size: 15px;
            line-height: 50px;
            height: 50px;
        }

        #login .social-options .step2 ul li {
            width: 50px;
            height: 50px;
            line-height: 50px;
            font-size: 20px;
        }

        #login .social-options.active-step > div {
            -webkit-transform: translate(-350px,0);
            -moz-transform: translate(-350px,0);
            -ms-transform: translate(-350px,0);
            -o-transform: translate(-350px,0);
            transform: translate(-350px,0);
        }

        #login .social-options .step2 > span {
            line-height: 50px;
            font-size: 20px;
        }

        #login .social-options {
            height: 50px;
        }

            #login .social-options:before {
                line-height: 50px;
            }

            #login .social-options .step2 ul li.active:before {
                top: -50px;
            }

            #login .social-options .step2 ul li .loading {
                top: 50px;
                height: 50px;
                width: 50px;
            }

            #login .social-options .step2 ul li.active .loading:before {
                line-height: 50px;
                width: 50px;
                height: 50px;
            }
}

@media (max-width: 767px) {
    #login {
        width: 95%;
    }

    #login {
        -webkit-transform: translate(0,0);
        -moz-transform: translate(0,0);
        -ms-transform: translate(0,0);
        -o-transform: translate(0,0);
        transform: translate(0,0);
        position: static;
        width: 280px;
        padding: 0;
        margin: 0 auto;
    }

        #login #clubLogo {
            display: none;
        }

    #loginBg {
        position: static;
        height: initial;
        padding: 20px;
    }

    #login h2 {
        font-size: 26px;
    }

    #login input.form-control {
        height: 2.5em;
        line-height: 19px;
    }

    #login .form-group.jbi-user:before, #login .form-group.jbi-lock:before {
        top: 8px;
        font-size: 15px;
    }

    #login #signup, #login #login, #login #recover {
        display: block;
        width: 100%;
    }

    #login #newsletter, #login #remember {
        margin-bottom: 0;
    }
}
